petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetOutputDM

Retrieve the DM associated with the layout for output

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetOutputDM(DM dm, DM *odm)

### Input Parameter

dm -The original DM

### Output Parameter

odm -The DM which provides the layout for output

### See Also

VecView(), DMGetGlobalSection()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages